Skip to main content
GET
/
leads
/
{uuid}
/
quote
Get the quote for a lead
curl --request GET \
  --url https://api.journeybee.io/v1/leads/{uuid}/quote \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "quote_number": "<string>",
  "name": "<string>",
  "customer_name": "<string>",
  "customer_email": "<string>",
  "customer_company": "<string>",
  "valid_from": "<string>",
  "valid_until": "<string>",
  "subtotal": 123,
  "discount_amount": 123,
  "discount_value": 123,
  "tax_amount": 123,
  "total": 123,
  "notes": "<string>",
  "terms": "<string>",
  "currency": {
    "uuid": "<string>",
    "code": "<string>"
  },
  "pricing_calculator_uuid": "<string>",
  "line_items": [
    {
      "uuid": "<string>",
      "product_name": "<string>",
      "product_sku": "<string>",
      "unit_price": 123,
      "quantity": 123,
      "subtotal": 123,
      "discount_amount": 123,
      "discount_value": 123,
      "total": 123,
      "sort_order": 123,
      "notes": "<string>",
      "product_uuid": "<string>"
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json
object | null

Default Response

uuid
string
required
quote_number
string
required
name
string | null
required
customer_name
string
required
customer_email
string | null
required
customer_company
string | null
required
valid_from
string
required
valid_until
string
required
subtotal
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

discount_amount
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

discount_type
enum<string> | null
required
Available options:
percentage,
fixed
discount_value
number | null
required
tax_amount
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

total
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

notes
string | null
required
terms
string | null
required
billing_period
enum<string> | null
required
Available options:
monthly,
quarterly,
yearly
currency
object
required
pricing_calculator_uuid
string | null
required
line_items
object[]
required
created_at
string
required
updated_at
string
required